--- app_queue.c	2005-06-06 18:39:31.000000000 -0400
+++ app_queue.c.dct	2005-06-09 09:22:40.255636163 -0400
@@ -3152,9 +3152,13 @@
 static int manager_queues_show( struct mansession *s, struct message *m )
 {
 	char *a[] = { "show", "queues" };
-	return queues_show(s->fd, 2, a);
-} 
+	ast_mutex_lock(&s->lock);
+	queues_show(s->fd, 2, a);
+	ast_cli(s->fd, "\r\n\r\n");	/* Properly terminate Manager output */
+	ast_mutex_unlock(&s->lock);
 
+	return RESULT_SUCCESS;
+} 
 
 /* Dump queue status */
 static int manager_queues_status( struct mansession *s, struct message *m )
